summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGabriel Caudrelier <gabriel.caudrelier@gmail.com>2018-12-04 21:27:35 -0600
committerPatrice Clement <monsieurp@gentoo.org>2018-12-08 23:17:10 +0100
commitba60ed0e19d82ec34f3a7e5cddfe14e6e7c2045f (patch)
tree90ab7a6762b864ba38637c5658cda47ab5f381e6 /app-misc/pip3line
parentapp-dicts/aspell-en: version bump to 2018.04.16. (diff)
downloadgentoo-ba60ed0e19d82ec34f3a7e5cddfe14e6e7c2045f.tar.gz
gentoo-ba60ed0e19d82ec34f3a7e5cddfe14e6e7c2045f.tar.bz2
gentoo-ba60ed0e19d82ec34f3a7e5cddfe14e6e7c2045f.zip
app-misc/pip3line: version bump to 3.5.5.
Package-Manager: Portage-2.3.51, Repoman-2.3.11 Signed-off-by: Gabriel Caudrelier <gabriel.caudrelier@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/10575 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'app-misc/pip3line')
-rw-r--r--app-misc/pip3line/Manifest1
-rw-r--r--app-misc/pip3line/pip3line-3.5.5.ebuild87
2 files changed, 88 insertions, 0 deletions
diff --git a/app-misc/pip3line/Manifest b/app-misc/pip3line/Manifest
index 49dcda22a14..7d9839be610 100644
--- a/app-misc/pip3line/Manifest
+++ b/app-misc/pip3line/Manifest
@@ -1 +1,2 @@
DIST pip3line-3.5.4.tar.gz 732872 BLAKE2B e544a2e1af958f3b1ef2e523d8489c807976523109ef8cc73f2c43b543ba9bd0b48d49009637d386e69f7768db6e2bd5a8f098d30dbd199a0b3d6bdaf782c103 SHA512 4a5421e4bf197d8ba2802c3007cfdd4d75a8c356f5bd8774d7f50bb3301e6beb52cc06f7d3486e85c3eaa16d192643afeb00b95e4d174ce16665b509e522ee6a
+DIST pip3line-3.5.5.tar.gz 733385 BLAKE2B e9577fb02d778b689d1c3f5849f714b7d27a5ad49a7a68e412a19cb8251e7ca1d76d0a046bfe10db2257593ccba4f1aa5fff0f34c317975f75ef347f50172088 SHA512 95cbc567f1a7f2bcbc07fe7d560829d9538c126a2748b762fcf505bad47926376abea9d8eaba8670f4c3826b988ea1ea1338faf625a6cdf8db17f457af4edbbb
diff --git a/app-misc/pip3line/pip3line-3.5.5.ebuild b/app-misc/pip3line/pip3line-3.5.5.ebuild
new file mode 100644
index 00000000000..9789c01998c
--- /dev/null
+++ b/app-misc/pip3line/pip3line-3.5.5.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+
+inherit cmake-utils python-r1 python-utils-r1
+
+DESCRIPTION="Raw bytes manipulation, transformations (decoding and more) and interception"
+HOMEPAGE="https://github.com/metrodango/pip3line"
+
+if [[ ${PV} == 9999* ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/metrodango/pip3line.git"
+ EGIT_BRANCH="master"
+else
+ SRC_URI="https://github.com/metrodango/pip3line/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+# A few comments
+# the ssl flag is just there to enable the plugin for low level crypto algorithms.
+# It has nothing to do with the SSL/TLS protocol itself.
+
+IUSE="distorm python qscintilla ssl"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxmlpatterns:5
+ qscintilla? ( x11-libs/qscintilla )
+ ssl? ( dev-libs/openssl:0= )"
+
+DEPEND="${RDEPEND}
+ distorm? ( dev-vcs/git )"
+
+src_configure() {
+
+ local mycmakeargs=(
+ -DBASIC=yes
+ -DWITH_DISTORM=$(usex distorm)
+ -DWITH_OPENSSL=$(usex ssl)
+ -DWITH_SCINTILLA=$(usex qscintilla)
+ )
+
+ # distorm is statically linked, due to insufficiencies
+ # in the current distorm64 package
+
+ if use distorm; then
+ mycmakeargs+=(-DWITH_DISTORM_LINK_STATICALLY=ON)
+ fi
+
+ if use python; then
+ local targets=( ${PYTHON_TARGETS} )
+ for target in ${targets[@]}; do
+ if python_is_python3 ${target}; then
+ python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
+ mycmakeargs+=(-DWITH_PYTHON3=ON
+ -DPYTHON3_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
+ -DPYTHON3_LIBRARIES=${PYTHON_LIBPATH}
+ )
+ break
+ fi
+ done
+ for target in ${targets[@]}; do
+ if ! python_is_python3 ${target}; then
+ python_export ${target} PYTHON PYTHON_LIBPATH PYTHON_INCLUDEDIR
+ mycmakeargs+=(-DWITH_PYTHON27=ON
+ -DPYTHON27_INCLUDE_DIRS=${PYTHON_INCLUDEDIR}
+ -DPYTHON27_LIBRARIES=${PYTHON_LIBPATH}
+ )
+ break
+ fi
+ done
+ fi
+
+ cmake-utils_src_configure
+}